# -*- coding: utf-8 -*-
"""
mcd_img_detrend
"""

from micado.dataitems.Detrend import Detrend
from micado.dataitems.DetrendExtension import DetrendExtension


def make(self: Detrend):
    """
    mcd_img_detrend
    """
    self.extensions = []

    for rawextension, darkextension in zip(self.raw.extensions, self.masterdark.extensions):
        nexte = DetrendExtension(
            NAXIS=rawextension.NAXIS,
            NAXIS1=rawextension.NAXIS1,
            NAXIS2=rawextension.NAXIS2,
            BITPIX=rawextension.BITPIX,
        )
        nexte.image = rawextension.image - darkextension.image
        self.extensions.append(nexte)
