# -*- coding: utf-8 -*-
"""
DataExtension represents an extension to a FITS file.
"""

from micado.main.DataHDU import DataHDU, persistent


class DataExtension(DataHDU):
    """
    DataExtension represents an extension to a FITS file.
    """

    XTENSION = persistent("Kind of extension", str, "IMAGE")
