# -*- coding: utf-8 -*-
"""
DataHDU represents a FITS HDU or similar structure.
"""

from micado.main.MObject import MObject, persistent


class DataHDU(MObject):
    """
    DataHDU represents a FITS HDU or similar structure.
    """

    BITPIX = persistent("Array data type", int, 8)

    NAXIS = persistent("Number of array dimensions", int, 0)
