"""
Module with persistent Img class.
"""

import importlib

from common.database.DBMain import persistent
from micado.main.BaseFrame import BaseFrame
import micado.recipes


class Img(BaseFrame):
    """
    An Img DataItem, a processed image.
    """

    dummybf: int = persistent("Need something to distinguish from Raw", int, 2)

    # recipe: Recipe = persistent("Recipe", Recipe, None)
    # The recipe used to make this Img.

    def make(self):
        """
        Make this object.

        TODO: Move this to the Recipes, and split up in RecipeSteps.
        """
        r = importlib.import_module("{}.{}".format(
            micado.recipes.__name__,
            self.recipe.__class__.__name__ + "_make"))
        r.make(self)
