# -*- coding: utf-8 -*-
"""
Tests for template generation.
"""

from micado.toolbox.python_from_tsf import PATH_TEMPLATE_TSF, PATH_TEMPLATE_PY, template_from_tsf


def test_python_from_tsf():
    """
    Test generation of Python classes from TSF files.
    """
    s_generated = template_from_tsf(PATH_TEMPLATE_TSF / "MCD_img_cal_dark.tsf")
    s_existing = open(PATH_TEMPLATE_PY / "MCD_img_cal_dark.py").read()
    assert s_existing.strip() == s_generated.strip()
